Name:           perl-WWW-Automate
Version:        0.21
Release:        1%{?dist}
Summary:        Automate interaction with websites
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WWW-Automate/
Source0:        http://www.cpan.org/authors/id/S/SK/SKUD/WWW-Automate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Clone) >= 0.13
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(HTML::TokeParser) >= 2.2
BuildRequires:  perl(HTTP::Request) >= 1.2
BuildRequires:  perl(LWP::UserAgent) >= 1.8
BuildRequires:  perl(Test::More) >= 0.34
Requires:       perl(Clone) >= 0.13
Requires:       perl(HTML::TokeParser) >= 2.2
Requires:       perl(HTTP::Request) >= 1.2
Requires:       perl(LWP::UserAgent) >= 1.8
Requires:       perl(Test::More) >= 0.34
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is intended to help you automate interaction with a website. It
bears a not-very-remarkable outwards resemblance to WWW::Chat, on which it
is based. The main difference between this module and WWW::Chat is that
WWW::Chat requires a pre-processing stage before you can run your script,
whereas WWW::Automate does not.

%prep
%setup -q -n WWW-Automate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.21-1
- First build using cpanspec [SME: 9312]
